Skip to main content
GET
/
api
/
v1
/
credentials
/
digitalocean
List DigitalOcean API credentials
import requests

url = "https://platform.ankra.app/api/v1/credentials/digitalocean"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/credentials/digitalocean', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/credentials/digitalocean \
--header 'Authorization: Bearer <token>'
[
  {
    "available": true,
    "created_at": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "organisation_id": "<string>",
    "provider": "<string>",
    "system": true,
    "updated_at": "2023-11-07T05:31:56Z",
    "account_login": "<string>",
    "account_type": "<string>",
    "co_tenant_count": 123,
    "health": {
      "consecutive_failures": 123,
      "last_error_class": "<string>",
      "next_attempt_at": "2023-11-07T05:31:56Z"
    },
    "installation_id": 123,
    "last_synced_at": "2023-11-07T05:31:56Z",
    "repository_count": 123,
    "repository_selection": "<string>",
    "state": "<string>",
    "syncing": false
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Response

Credentials retrieved successfully

available
boolean
required
created_at
string<date-time>
required
id
string<uuid>
required
name
string
required
organisation_id
string<uuid4>
required
provider
string
required
system
boolean
required
updated_at
string<date-time>
required
account_login
string | null
account_type
string | null
co_tenant_count
integer | null
health
CredentialHealthSummary · object | null
installation_id
integer | null
last_synced_at
string<date-time> | null
repository_count
integer | null
repository_selection
string | null
state
string | null
syncing
boolean
default:false